summaryrefslogtreecommitdiffstats
path: root/win/tools/kdcopidl
diff options
context:
space:
mode:
authortoma <toma@283d02a7-25f6-0310-bc7c-ecb5cbfe19da>2009-11-25 17:56:58 +0000
committertoma <toma@283d02a7-25f6-0310-bc7c-ecb5cbfe19da>2009-11-25 17:56:58 +0000
commitce4a32fe52ef09d8f5ff1dd22c001110902b60a2 (patch)
tree5ac38a06f3dde268dc7927dc155896926aaf7012 /win/tools/kdcopidl
downloadtdelibs-ce4a32fe52ef09d8f5ff1dd22c001110902b60a2.tar.gz
tdelibs-ce4a32fe52ef09d8f5ff1dd22c001110902b60a2.zip
Copy the KDE 3.5 branch to branches/trinity for new KDE 3.5 features.
BUG:215923 git-svn-id: svn://anonsvn.kde.org/home/kde/branches/trinity/kdelibs@1054174 283d02a7-25f6-0310-bc7c-ecb5cbfe19da
Diffstat (limited to 'win/tools/kdcopidl')
-rwxr-xr-xwin/tools/kdcopidl25
1 files changed, 25 insertions, 0 deletions
diff --git a/win/tools/kdcopidl b/win/tools/kdcopidl
new file mode 100755
index 000000000..f695659d7
--- /dev/null
+++ b/win/tools/kdcopidl
@@ -0,0 +1,25 @@
+#!/bin/sh
+
+# runs kdcopidl for current dir
+# or for $1 dir, (and $2, $3, $4, $5), whatever is provided
+
+if [ -n "$1" ] ; then
+ dir="$1"
+else
+ dir="."
+fi
+
+find $dir -maxdepth 1 -name \*.h | while read ; do
+ grep K_DCOP $REPLY > /dev/null || continue
+ name=`echo $REPLY | sed -e "s/\\.h//"`
+ if [ $name".kidl" -ot $REPLY -o ! -f $name".kidl" -o ! -f $name"_skel.cpp" -o ! -f $name"_stub.cpp" ] ; then
+ echo DCOPIDL for $REPLY...
+ dcopidl $REPLY > $name".kidl"
+ dcopidl2cpp $name".kidl"
+ fi
+done
+
+[ -n "$2" ] && kdcopidl $2
+[ -n "$3" ] && kdcopidl $3
+[ -n "$4" ] && kdcopidl $4
+[ -n "$5" ] && kdcopidl $5